import "./assets/Popover.css";
import { jsxs as B, jsx as P } from "react/jsx-runtime";
import { useRef as h, useState as H, Children as I, useEffect as E } from "react";
import { ArPopoverPositions as o, ArPopoverTriggers as u, ArAnimations as L, ArPopoverSlots as v } from "./types/enums.js";
let O;
const $ = (b) => {
  const {
    classes: m,
    children: g,
    contentClasses: C,
    isOpen: T,
    position: i = o.BOTTOMCENTER,
    trigger: c = u.CLICK,
    animation: k = L.EXPANDSHRINK,
    transition: d,
    ...N
  } = b, l = h(null), t = h(null), [n, a] = H();
  let f, R;
  return I.forEach(g, (e) => {
    var r, s;
    ((r = e == null ? void 0 : e.props) == null ? void 0 : r.slot) === v.ANCHOR && (R = e), ((s = e == null ? void 0 : e.props) == null ? void 0 : s.slot) === v.POPOVER && (f = e);
  }), E(() => {
    T !== void 0 && a(T);
  }, [T]), E(() => {
    requestAnimationFrame(() => {
      if (l.current && t.current && n) {
        const e = l.current, r = t.current, s = e.getBoundingClientRect(), p = r.getBoundingClientRect();
        switch (i) {
          case o.BOTTOMRIGHT:
            break;
          case o.TOPLEFT:
            break;
          case o.TOPCENTER:
            r.style.right = -(p.width / 2) + s.width / 2 + "px";
            break;
          case o.TOPRIGHT:
            break;
          case o.LEFTTOP:
            break;
          case o.LEFTCENTER:
            r.style.top = -(p.height / 2) + s.height / 2 + "px";
            break;
          case o.LEFTBOTTOM:
            break;
          case o.RIGHTTOP:
            break;
          case o.RIGHTCENTER:
            r.style.top = -(p.height / 2) + s.height / 2 + "px";
            break;
          case o.RIGHTBOTTOM:
            break;
          case o.BOTTOMCENTER:
            r.style.right = -(p.width / 2) + s.width / 2 + "px";
            break;
        }
      }
    });
  }, [i, n]), E(() => {
    n ? (t.current && t.current.classList.remove("z-minus-1"), t.current && t.current.focus()) : setTimeout(
      () => t.current && t.current.classList.add("z-minus-1"),
      300
    );
  }, [n, c]), /* @__PURE__ */ B(
    "div",
    {
      className: `ar-Popover position-relative${m ? " " + m : ""}${d ? " transition" : ""}`,
      onMouseEnter: () => {
        c === u.HOVER && a(!0);
      },
      onMouseLeave: () => {
        c === u.HOVER && a(!1);
      },
      ...N,
      children: [
        /* @__PURE__ */ P(
          "span",
          {
            className: "ar-Popover__anchor",
            onClick: (e) => {
              c === u.CLICK && (e.stopPropagation(), a(!n));
            },
            ref: l,
            children: R
          }
        ),
        f && /* @__PURE__ */ P(
          "div",
          {
            className: `ar-Popover__content position-absolute ${n ? " show p-1 border" : ""}${i ? " " + i : ""} ${k} ${C}`,
            ref: t,
            tabIndex: -1,
            onMouseDown: () => {
              O = !0, setTimeout(() => O = !1, 0);
            },
            onBlur: () => {
              O || a(!1);
            },
            children: f
          }
        )
      ]
    }
  );
};
export {
  $ as default
};
