import { Component, MouseEvent, TouchEvent } from "react";
import { SwiperProps } from ".";
export declare function setHasSupportToCaptureOption(hasSupport: boolean): void;
declare class Swiper extends Component<SwiperProps> {
    static displayName: string;
    swiper: HTMLElement | null;
    mouseDown: boolean;
    moveStart: {
        x: number;
        y: number;
    } | null;
    moving: boolean;
    movePosition: {
        deltaX: number;
        deltaY: number;
    } | null;
    static defaultProps: Partial<SwiperProps>;
    constructor(props: SwiperProps);
    componentDidMount(): void;
    componentWillUnmount(): void;
    _onMouseDown(event: MouseEvent): void;
    _onMouseMove(event: MouseEvent): void;
    _onMouseUp(event: MouseEvent): void;
    _handleSwipeStart(event: MouseEvent | TouchEvent): void;
    _handleSwipeMove(event: MouseEvent | TouchEvent): void;
    _handleSwipeEnd(event: MouseEvent | TouchEvent): void;
    _setSwiperRef(node: HTMLElement | null): void;
    render(): import("react/jsx-runtime").JSX.Element;
}
export default Swiper;
