import { AnimationHandler, StopSwipingHandler, SwipeAnimationHandler } from "./types/types";
/**
 * Main animation handler for the default 'sliding' style animation
 * @param props
 * @param state
 */
export declare const slideAnimationHandler: AnimationHandler;
/**
 * Swiping animation handler for the default 'sliding' style animation
 * @param delta
 * @param props
 * @param state
 * @param setState
 */
export declare const slideSwipeAnimationHandler: SwipeAnimationHandler;
/**
 * Default 'sliding' style animination handler for when a swipe action stops.
 * @param props
 * @param state
 */
export declare const slideStopSwipingHandler: StopSwipingHandler;
/**
 * Main animation handler for the default 'fade' style animation
 * @param props
 * @param state
 */
export declare const fadeAnimationHandler: AnimationHandler;
