export declare enum ArTabType {
    CLASSIC = "classic",
    MODERN = "modern",
    MINIMAL = "minimal"
}
export declare enum ArAriaRoles {
    TAB = "tab"
}
export declare enum ArAlertType {
    SUCCESS = "success",
    WARNING = "warning",
    ERROR = "error",
    INFORMATION = "information"
}
export declare enum ArSizes {
    XSMALL = "xsmall",
    SMALL = "small",
    REGULAR = "regular",
    LARGE = "large",
    XLARGE = "xlarge"
}
export declare enum ArLoaderTypes {
    BAR = "bar",
    SHAPES = "shapes",
    CIRCLE = "circle",
    CUSTOM = "custom"
}
export declare enum ArButtonVariants {
    SUCCESS = "success",
    DANGER = "danger",
    PRIMARY = "primary",
    SECONDARY = "secondary",
    WARNING = "warning",
    INFO = "info",
    DARK = "dark",
    LIGHT = "light",
    LINK = "link",
    LINKNATIVE = "link-native",
    LINKHOVEREFFECT = "link-hover"
}
export declare enum ArButtonTypes {
    SUBMIT = "submit",
    BUTTON = "button",
    RESET = "reset"
}
export declare enum ArPlacement {
    RIGHT = "right",
    LEFT = "left",
    TOP = "top",
    BOTTOM = "bottom"
}
export declare enum ArPopoverSlots {
    POPOVER = "popover",
    ANCHOR = "anchor"
}
export declare enum ArAnimations {
    FADEINOUT = "fade",
    EXPANDSHRINK = "expand"
}
export declare enum ArPopoverPositions {
    TOPLEFT = "top-left",
    TOPRIGHT = "top-right",
    TOPCENTER = "top-center",
    RIGHTTOP = "right-top",
    RIGHTBOTTOM = "right-bottom",
    RIGHTCENTER = "right-center",
    BOTTOMLEFT = "bottom-left",
    BOTTOMRIGHT = "bottom-right",
    BOTTOMCENTER = "bottom-center",
    LEFTTOP = "left-top",
    LEFTBOTTOM = "left-bottom",
    LEFTCENTER = "left-center"
}
export declare enum ArPopoverTriggers {
    HOVER = "hover",
    CLICK = "click"
}
export declare enum ArListStyles {
    ORDERED = "ordered",
    UNORDERED = "unordered",
    UNSTYLED = "unstyled"
}
export declare enum ArVisualizationTypes {
    BUBBLE = "bubble"
}
export declare enum ArIconTileTypes {
    COMFY = "comfy",
    COMPACT = "compact",
    LIST = "list"
}
export declare enum ArBadgeType {
    INPROGRESS = "inprogress",
    COMPLETE = "complete",
    DEFERRED = "deferred",
    ATRISK = "atrisk"
}
export declare enum JobStatus {
    RUNNING = "running",
    STOPPED = "stopped",
    SUSPENDED = "suspended",
    ARCHIVED = "archived"
}
export declare enum ArPageTriggers {
    SELECTOR = "selector",
    SCROLL = "scroll"
}
export declare enum ArPillSizes {
    LARGE = "large",
    MEDIUM = "medium",
    SMALL = "small"
}
export declare enum RecusionConditionTypes {
    KEY_EXISTS = "keyExists",
    KEY_VALUE = "keyValue"
}
export declare enum ArAccordionVariants {
    LIMITED = "limited",
    FREE = "free"
}
export declare enum ArAccordionStyles {
    STACKED = "stacked",
    COMFORTABLE = "comfortable"
}
export declare enum ArAnimationInjectionTypes {
    ADD = "add",
    REPLACE = "replace"
}
export declare enum ArAnimationProperty {
    POSITION = "p",
    OPACITY = "o",
    ANCHOR = "a",
    ROTATE = "r",
    SCALE = "s"
}
export declare enum ArThemes {
    LIGHT1 = "th-light-1",
    DARK1 = "th-dark-1"
}
export declare enum ArDateFormats {
    DDMMYYYY = "DDMMYYYY",
    DDMMYY = "DDMMYY",
    MMDDYYYY = "MMDDYYYY",
    MMDDYY = "MMDDYY",
    YYMMDD = "YYMMDD",
    YYYYMMDD = "YYYYMMDD",
    DDMMMYY = "DDMMMYY",
    DDMMMYYYY = "DDMMMYYYY",
    MMMDDYY = "MMMDDYY",
    MMMDDYYYY = "MMMDDYYYY",
    YYYYMMMDD = "YYYYMMMDD",
    YYMMMDD = "YYMMMDD"
}
export declare enum ArCalViews {
    CALENDAR = "calendar",
    MONTH_YEAR_SELECTOR = "month-year-selector",
    EVENT_FORM = "event-form"
}
export declare enum ArMonthSelectorViews {
    DECADE = "decade",
    YEAR = "year",
    MONTH = "month"
}
export declare enum ArEventStates {
    DRAFT = "draft",
    SCHEDULED = "scheduled",
    EXPIRED = "expired",
    CANCELLED = "cancelled",
    DEFERRED = "deferred"
}
export declare enum ArSchedules {
    TODAY = "today",
    TOMORROW = "tomorrow",
    NEXTWEEK = "next-week",
    NEXTMONTH = "next-month",
    CUSTOM = "custom"
}
