/// <reference types="react" />
import { BasicFilterConfig } from "./types/filterconfig.interface";
interface CategoryFilterProps {
    categoryGroups: {
        [key: string]: {
            [key: string]: Array<string>;
        };
    };
    currentCategoryFilters?: {
        [key: string]: Array<BasicFilterConfig>;
    };
    onFilterChange: Function;
}
declare const CategoryFilter: (props: CategoryFilterProps) => JSX.Element;
export default CategoryFilter;
