import "./assets/LoadableIcon.css";
import { jsx as j } from "react/jsx-runtime";
import { useState as b, useEffect as u } from "react";
import { getIconByKey as Q, saveIconToFactory as R } from "./store.js";
import { useAppDispatch as U, useAppSelector as V } from "./hooks.js";
import y from "./utils/domHelper.js";
import X from "./utils/network.js";
const I = new DOMParser(), k = {}, Y = I.parseFromString(
  '<svg stroke="currentColor" fill="currentColor" stroke-width="0" viewBox="0 0 24 24" height="1em" width="1em" xmlns="http://www.w3.org/2000/svg"><rect width="20" height="20" x="2" y="2" fill="none" stroke="#000" stroke-width="2"rx="2"></rect></svg>',
  "image/svg+xml"
).querySelector("svg"), le = (q) => {
  const {
    classes: t,
    color: r,
    fillColor: m,
    height: E,
    hoverColor: M,
    hoverShadow: B,
    isLocal: C,
    onClick: H,
    onMouseEnter: A,
    onMouseLeave: D,
    size: s,
    skipPathColorFill: v,
    strokeColor: h,
    strokeWidth: d,
    svgString: n,
    style: K,
    svgB64String: l,
    toggleColor: N,
    toggled: S,
    width: O
  } = q;
  let { icon: e } = q;
  const [L, P] = b(), [p, W] = b(), [T, _] = b(
    Y
  ), [F, i] = b(), z = U(), w = e && (e.startsWith("http://") || e.startsWith("https://") || e.startsWith("/"));
  e = e && !w && e.indexOf("/") > -1 ? e.replace(/\//g, ".") : e, e = !n && !l && (!e || !w && e.indexOf(".") < 0) ? "gr.GrStatusPlaceholder" : e;
  const f = e == null ? void 0 : e.split("."), x = f && f[0] ? f[0].toLowerCase() : "", $ = f && f[1], a = e && (x && $ ? `${x}_${$}` : e), g = V(Q(a || "")), G = () => {
    e && a && !k[a] && (k[a] = !0, X.getStatic(
      w ? e : `/icon/${x}/${$}`
    ).then((o) => {
      const c = I.parseFromString(o.body, "image/svg+xml").querySelector("svg");
      c && (z(R({ [a]: o.body })), o.body, _(c));
    }).catch((o) => {
      console.log(o), k[a] = !1;
    }).finally(() => k[a] = !1));
  };
  if (u(() => {
    S !== void 0 && p !== S && W(S);
  }, [S]), u(() => {
    !C && !l && !n && (w && e || $ && x ? !g && G() : console.log("Icon name and category is required, received: ", e));
  }, [e]), u(() => {
    T && !C && i(
      y.svgToBase64(
        T,
        { size: s, classes: t, color: r, fillColor: m, strokeColor: h, strokeWidth: d },
        [!!v]
      )
    );
  }, [T]), u(() => {
    n ? i(btoa(n)) : l && i(l);
  }, [n, l]), u(() => {
    if (!C) {
      const o = L ? M || r : p && N || r;
      if (g || l || n) {
        if (g)
          i(
            y.svgToBase64(
              g,
              {
                size: s,
                classes: t,
                color: o,
                fillColor: m,
                strokeColor: h,
                strokeWidth: d
              },
              [!!v]
            )
          );
        else if (n) {
          const c = I.parseFromString(n, "image/svg+xml").querySelector("svg");
          c && i(
            y.svgToBase64(
              c,
              {
                size: s,
                classes: t,
                color: o,
                fillColor: m,
                strokeColor: h,
                strokeWidth: d
              },
              [!!v]
            )
          );
        } else if (l) {
          const c = I.parseFromString(atob(l), "image/svg+xml").querySelector("svg");
          c && i(
            y.svgToBase64(
              c,
              {
                size: s,
                classes: t,
                color: o,
                fillColor: m,
                strokeColor: h,
                strokeWidth: d
              },
              [!!v]
            )
          );
        }
      }
    }
  }, [
    s,
    t,
    r,
    m,
    h,
    d,
    g,
    L,
    p
  ]), C)
    return /* @__PURE__ */ j(
      "img",
      {
        className: `ar-LoadableIcon${t ? " " + t : ""}`,
        src: e,
        style: {
          width: O || s || "1rem",
          height: E || s || "1rem"
        },
        alt: "Icon"
      }
    );
  if (g && !F) {
    const o = L ? M || r : p && N || r;
    i(
      y.svgToBase64(
        g,
        {
          size: s,
          classes: t,
          color: o,
          fillColor: m,
          strokeColor: h,
          strokeWidth: d
        },
        [!!v]
      )
    );
  }
  const J = {
    ...K || {},
    width: `calc(${O || s || "1rem"} + ${B ? "0.5rem" : "0px"})`,
    height: `calc(${E || s || "1rem"} + ${B ? "0.5rem" : "0px"})`
  };
  return F ? /* @__PURE__ */ j(
    "img",
    {
      className: `ar-LoadableIcon${t ? " " + t : ""}${B ? " hover-shadow p-1" : ""}`,
      onClick: H || (() => {
      }),
      src: `data:image/svg+xml;base64,${F}`,
      style: J,
      onMouseEnter: (o) => {
        P(!0), A && A(o);
      },
      onMouseLeave: (o) => {
        P(!1), D && D(o);
      },
      onClickCapture: () => W(!p),
      alt: "Icon"
    }
  ) : null;
};
export {
  le as default
};
