import "./assets/UserOptions.css";
import { jsx as n, jsxs as f, Fragment as B } from "react/jsx-runtime";
import { getLoggedIn as ue, getUser as fe, setRightPanelContent as H, notify as be, setLoggedIn as we } from "./store.js";
import { useAppSelector as ee, useAppDispatch as ve } from "./hooks.js";
import { useState as y, useEffect as _, memo as ge, useRef as Ie, Component as ne, Children as w } from "react";
import M from "./utils/domHelper.js";
import { ArAccordionVariants as Se, ArThemes as U, ArButtonTypes as ye, ArButtonVariants as T, ArPopoverTriggers as re, ArPopoverSlots as k, ArPlacement as R, ArSizes as K, ArPopoverPositions as te, ArAnimations as Te } from "./types/enums.js";
import { ICON_ROOT as V, ENDPOINTS as se } from "./config/constants.js";
import "./transform-df96e507.js";
import "react-router-dom";
import "./BubbleChart.js";
import "./BubbleViz.component-4ed993c7.js";
/* empty css                                  *//* empty css                                *//* empty css                              */import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import Ce from "./Dropdown.js";
import "./FacetedFilter.component-4ed993c7.js";
/* empty css                             */import z from "./Icon.js";
import "react-redux";
import "./LabelValue.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import ae from "./List.js";
import L from "./LoadableIcon.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import q from "./Popover.js";
import "./ProgressIndicator.component-4ed993c7.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SearchField.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./Select.component-4ed993c7.js";
/* empty css                                  */import Le from "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Table.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
/* empty css                             */import "./TimeEntry.component-4ed993c7.js";
/* empty css                           */import "./Toolbar.component-4ed993c7.js";
import "./Tooltip.component-4ed993c7.js";
import j from "./utils/helper.js";
import "./TypeAhead.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "./Widget.component-4ed993c7.js";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
/* empty css                         */import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Footer.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import le from "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import Ae from "./utils/network.js";
import "./Users.component-4ed993c7.js";
import Re from "./config/api-config.js";
import ie from "./config/web-config.js";
import { v as O } from "./v4-333bbb31.js";
import I from "./cssClasses.js";
import { slideSwipeAnimationHandler as Ee, slideStopSwipingHandler as Ne, fadeAnimationHandler as Pe, slideAnimationHandler as _e } from "./animations.js";
const Oe = [
  {
    id: O(),
    title: "Slide In",
    content: "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut laoreet tellus ante, et gravida massa egestas ac. Maecenas venenatis dui a eros maximus, vitae fringilla metus ultrices. Etiam at lacinia magna. Vestibulum sagittis felis sed diam ullamcorper, vel pharetra quam facilisis. Suspendisse bibendum ante id risus interdum, vel sodales felis egestas. Mauris vitae dui gravida, dictum sem id, accumsan tellus. Aliquam sodales quam efficitur, congue justo a, consectetur ante. Nunc euismod augue ac ante condimentum tincidunt. Quisque bibendum semper velit. Cras sit amet imperdiet dolor, ac aliquet mi. Morbi elementum magna eros, in venenatis nunc laoreet eget. Etiam at lorem suscipit, interdum augue id, scelerisque risus. Suspendisse at nisi lorem. Morbi libero erat, vestibulum at pulvinar at, ultrices ac turpis. Etiam ac leo gravida, semper quam in, tempus ipsum. Phasellus finibus rhoncus cursus. Maecenas dapibus ex ut congue eleifend. Sed luctus consectetur quam, at malesuada enim condimentum non."
  },
  {
    id: O(),
    title: "Slide Out",
    content: /* @__PURE__ */ n(
      "input",
      {
        type: "text",
        className: "p-3 m-3",
        title: "dummy",
        placeholder: "Accordion content..."
      }
    )
  },
  {
    id: O(),
    title: "Fade",
    content: "Donec varius lorem vel orci aliquam, nec venenatis turpis commodo. Ut ac diam nisi. Integer at lorem ac ligula vehicula porta. Proin tempor lorem a nunc auctor, rhoncus porta elit auctor. Duis imperdiet dictum luctus. Sed eget orci mattis, sagittis quam ac, congue arcu. Praesent blandit mattis sem, eget rutrum neque auctor id. Vestibulum eu augue ut nisl tempus iaculis. Nullam id tortor sed ante tincidunt consectetur et eu odio. Aliquam accumsan turpis ac dictum interdum."
  },
  {
    id: O(),
    title: "Rotate",
    content: "Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia curae; Donec metus augue, tempus vitae neque in, accumsan faucibus velit. Quisque felis lorem, tristique nec finibus consequat, viverra quis nibh. Donec arcu mi, placerat eget pretium non, molestie vitae leo. Nunc cursus id mi quis malesuada."
  },
  {
    id: O(),
    title: "Scale",
    content: "Integer dapibus aliquet bibendum. Quisque id lobortis dolor, in bibendum enim. Cras mollis iaculis metus et tincidunt. Maecenas fermentum porttitor faucibus. Suspendisse feugiat ac enim nec vulputate. Aliquam egestas ante ac tempor blandit. Etiam vehicula, dui sed facilisis rhoncus, quam tortor efficitur sapien, eu imperdiet nisi magna et dui. Nulla a justo odio."
  }
], ke = (a) => {
  const {
    classes: t,
    content: s,
    expanded: e,
    id: i,
    isRemovable: r,
    setExpandedId: o,
    theme: l,
    title: c
  } = a, [h, p] = y();
  return _(() => {
    p(e);
  }, [e]), /* @__PURE__ */ f(
    "div",
    {
      className: `ar-AccordionExpansionPanel${t ? " " + t : ""}${h ? " expanded" : ""}`,
      id: i,
      children: [
        /* @__PURE__ */ f(
          "div",
          {
            className: "ar-AccordionExpansionPanel__title flex-v-center px-2 py-1 cursor-pointer",
            onClick: () => {
              p(!h), o && o(i);
            },
            children: [
              /* @__PURE__ */ n("span", { className: "ar-AccordionExpansionPanel__title-expand-icon p-2", children: /* @__PURE__ */ n(
                L,
                {
                  color: U.DARK1 === l ? "white" : "black",
                  icon: "md.MdKeyboardArrowRight"
                }
              ) }),
              c,
              r && /* @__PURE__ */ n(
                L,
                {
                  color: U.DARK1 === l ? "white" : "black",
                  classes: "ms-auto",
                  icon: "md.MdClose"
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ n("div", { className: "ar-AccordionExpansionPanel__content", children: typeof s == "string" ? /* @__PURE__ */ n("div", { className: "p-3", children: s }) : s })
      ]
    }
  );
}, Bs = (a) => {
  const {
    appearance: t,
    classes: s,
    data: e,
    demo: i,
    firstExpanded: r,
    isRemovable: o,
    theme: l,
    variant: c
  } = a, [h, p] = y(), [m, v] = y(), u = e || i && Oe;
  return _(() => {
    u && (r && (u[0] && (u[0].expanded = !0), p(u[0].id)), v(u));
  }, [u, r]), _(() => {
    if (c === Se.LIMITED) {
      const d = [...u];
      d.forEach((b) => b.expanded = h === b.id), v(d);
    }
  }, [h, c, u]), /* @__PURE__ */ n(
    "div",
    {
      className: `ar-Accordion${s ? " " + s : ""}${t ? " " + t : ""}`,
      children: m == null ? void 0 : m.map((d, b) => (d.setExpandedId = p, d.isRemovable = d.isRemovable !== void 0 ? d.isRemovable : !!o, /* @__PURE__ */ n(
        ke,
        {
          theme: l,
          ...d
        },
        "accordion-expansion-panel-" + b
      )))
    }
  );
};
const xe = (a) => {
  const { classes: t, icon: s, size: e, shadow: i, text: r, type: o } = a;
  return (s == null ? void 0 : s.indexOf("/")) === -1 && console.warn(
    "Not sufficient information to render icon, needed format <icon_family>/<icon_name>"
  ), /* @__PURE__ */ f(
    "span",
    {
      className: `ar-Badge${e ? " " + e : " medium"}${o ? " " + o : " inprogress"}${i ? " shadow" : ""}${t ? " " + t : ""}`,
      children: [
        s && e !== "small" && /* @__PURE__ */ n(z, { src: `${V}/${s}` }),
        e !== "small" && (r || "+2")
      ]
    }
  );
};
const P = (a) => {
  const {
    classes: t,
    color: s,
    content: e,
    preIcon: i,
    postIcon: r,
    onClick: o,
    size: l,
    splitOptions: c,
    splitTrigger: h,
    type: p = ye.BUTTON,
    variant: m,
    ...v
  } = a;
  let u = "";
  const d = {};
  return s ? (u = s, d.color = s) : m === T.LINKNATIVE ? u = "#0d6efd" : m === T.LINK || m === T.LINKHOVEREFFECT ? u = "black" : u = "white", /* @__PURE__ */ f(B, { children: [
    /* @__PURE__ */ f(
      "button",
      {
        type: p,
        className: `ar-Button fw-bold flex-center${t ? " " + t : ""}${m ? " ar-" + m : ""}${l ? " ar-" + l : ""}${c ? " has-split-button" : ""}`,
        onClick: o,
        style: d,
        ...v,
        children: [
          i && /* @__PURE__ */ n("span", { className: "ar-Button__icon me-2", children: /* @__PURE__ */ n(L, { icon: i, color: u }) }),
          e || (!i && !r ? "Button" : ""),
          r && /* @__PURE__ */ n("span", { className: "ar-Button__icon ms-2", children: /* @__PURE__ */ n(
            L,
            {
              icon: r,
              color: u,
              skipPathColorFill: !0
            }
          ) })
        ]
      }
    ),
    c && /* @__PURE__ */ f(q, { trigger: h || re.CLICK, children: [
      /* @__PURE__ */ n(
        "button",
        {
          className: `px-1 py-2 ar-Button__split-button${m ? " ar-" + m : ""}${l ? " ar-" + l : ""}`,
          type: "button",
          title: "Extra Button Options",
          slot: k.ANCHOR,
          children: /* @__PURE__ */ n(
            L,
            {
              icon: "io/IoIosArrowDown",
              color: !m || [
                T.LINK,
                T.LINKHOVEREFFECT,
                T.LINKNATIVE
              ].indexOf(m) > -1 ? "black" : "white"
            }
          )
        }
      ),
      /* @__PURE__ */ n(ae, { data: c, slot: k.POPOVER })
    ] })
  ] });
};
const Me = {
  label: "Tab 1",
  id: "23jhrfl2l3lkj2lk3jlkjlsd",
  isActive: !1
}, Us = ge(
  (a) => {
    const {
      bubbleDimensions: t,
      data: s,
      demo: e,
      deletable: i,
      onHover: r,
      onHoverOut: o,
      icon: l,
      id: c,
      isActive: h,
      items: p,
      label: m,
      onSelect: v,
      size: u,
      variant: d
    } = a, b = Ie(null);
    let S = m || (e ? Me.label : m);
    return _(() => {
      h && t && setTimeout(() => {
        const g = b.current && b.current.getBoundingClientRect();
        let N, C;
        g && (N = g.width, C = b.current.offsetLeft), t(N, C);
      }, 0);
    }, [h, t]), /* @__PURE__ */ n(
      "div",
      {
        className: `ar-Tab h-100 px-2 fw-bold${h ? " active" : ""}${u ? " " + u : ""}${d ? " " + d : ""}`,
        id: c || S,
        onClick: () => v && v(c, a),
        onMouseEnter: () => r && r(s),
        onMouseLeave: o,
        ref: b,
        children: /* @__PURE__ */ f("div", { className: "ar-Tab__content position-relative h-100 flex-center", children: [
          /* @__PURE__ */ n("span", { className: l || p ? "me-1" : "", children: S }),
          l && /* @__PURE__ */ n(
            L,
            {
              classes: "me-2",
              icon: l,
              color: s.color || "black"
            }
          ),
          p && /* @__PURE__ */ n(L, { icon: "md.MdKeyboardArrowDown" }),
          i && /* @__PURE__ */ n(
            z,
            {
              containerClasses: "ar-Tab__delete-icon ms-2",
              src: "rx/RxCross2",
              size: "0.8rem"
            }
          )
        ] })
      }
    );
  },
  (a, t) => a.isActive === t.isActive && JSON.stringify(a.data) === JSON.stringify(t.data) && a.icon === t.icon && a.label === t.label && a.size === t.size && a.variant === t.variant
);
const ze = (a) => {
  const {
    assistiveContent: t,
    classes: s,
    containerClasses: e,
    id: i,
    label: r,
    labelClasses: o,
    labelPlacement: l = R.TOP,
    name: c,
    size: h,
    onBlur: p,
    onChange: m,
    onFocus: v,
    placeholder: u,
    required: d,
    type: b,
    value: S,
    ...g
  } = a, [N, C] = y(
    S
  ), [E, x] = y(!1), [D, me] = y(), Q = (A) => {
    A.persist(), C(A.target.value), m && m(A, i);
  };
  _(() => {
    C(S);
  }, [S]);
  const pe = t ? "content" in t && "onClick" in t ? /* @__PURE__ */ n(
    P,
    {
      classes: "mb-2 p-0 f3",
      variant: T.LINK,
      content: t.content,
      onClick: t.onClick
    }
  ) : t : null, X = /* @__PURE__ */ f("div", { className: "ar-TextInput__label-container flex-v-center justify-content-between", children: [
    /* @__PURE__ */ n(
      "label",
      {
        className: `ar-TextInput__label h-100 mb-2 fw-bold${o ? " " + o : ""}${d ? " required" : ""}`,
        htmlFor: i,
        children: r
      }
    ),
    pe
  ] }), J = (A) => {
    x(!0), v && v(A);
  }, de = (A) => {
    x(!1), p && p(A);
  }, Y = () => {
    switch (b) {
      case "slider":
        return /* @__PURE__ */ n(
          Le,
          {
            onChange: Q,
            onFocus: (A) => J(A),
            focussed: E,
            ...a
          }
        );
      default:
        return /* @__PURE__ */ f("div", { className: "ar-TextInput__input-container w-100 position-relative", children: [
          /* @__PURE__ */ n(
            "input",
            {
              id: i,
              name: c || i,
              type: b === "password" ? D ? "text" : b : b || "text",
              className: `ar-TextInput__input h-100 form-component p-2${s ? " " + s : ""}${r ? "" : " w-100"}`,
              onChange: Q,
              onFocus: J,
              onBlur: de,
              placeholder: E ? "" : u,
              required: d,
              value: b !== "file" ? S || N : "",
              ...g
            }
          ),
          /* @__PURE__ */ n(
            "button",
            {
              type: "button",
              title: "Clear Button",
              className: `ar-TextInput__clear-button position-absolute end-0 top-0 d-flex flex-row
                justify-content-center align-items-center border-0 bg-transparent${S ? " has-value" : ""}${E ? " border-bottom-0" : ""}`
            }
          ),
          b === "password" && /* @__PURE__ */ n(
            z,
            {
              containerClasses: "position-absolute end-0 top-0 mt-2 me-2",
              src: D ? "io/IoMdEyeOff" : "io/IoMdEye",
              onClick: () => me(!D)
            }
          )
        ] });
    }
  };
  let F = null, Z = "";
  switch (l) {
    case R.LEFT:
    case R.RIGHT:
      break;
    case R.BOTTOM:
    case R.TOP:
    default:
      Z = r ? "flex-column" : "";
      break;
  }
  switch (l) {
    case R.LEFT:
    case R.TOP:
    default:
      F = /* @__PURE__ */ f(B, { children: [
        X,
        Y()
      ] });
      break;
    case R.BOTTOM:
    case R.RIGHT:
      F = /* @__PURE__ */ f(B, { children: [
        Y(),
        X
      ] });
      break;
  }
  return /* @__PURE__ */ n(
    "div",
    {
      className: `ar-TextInput position-relative w-100 d-flex${E ? " focussed border-bottom-0" : ""}${e ? " " + e : ""}${" " + Z}`,
      children: F
    }
  );
};
const $ = j.isMobile(), ce = (a, t, s, e, i, r, o, l) => {
  const c = a == null ? void 0 : a.map((h, p) => /* @__PURE__ */ n(
    De,
    {
      hierarchyLevel: t,
      data: h,
      onItemSelect: s,
      isAddButton: h.id === "add-button-id",
      setSelected: e,
      selected: i,
      indentation: r,
      indentationUnit: o,
      theme: l
    },
    "TreeListItem" + p
  ));
  return (a == null ? void 0 : a.length) > 0 ? /* @__PURE__ */ n("ul", { className: "ar-TreeList__list list-unstyled", children: c }) : t === 0 && /* @__PURE__ */ n("i", { className: "flex-center mt-5", children: "List is empty" });
}, De = (a) => {
  const {
    hierarchyLevel: t,
    data: s,
    indentation: e = 0.8,
    indentationUnit: i = "rem",
    isAddButton: r,
    onItemSelect: o,
    selected: l,
    setSelected: c,
    theme: h
  } = a, [p, m] = y(s.expanded), [v, u] = y();
  _(() => {
    m(s.expanded);
  }, [s.expanded]);
  let d = null;
  s.children && (d = ce(
    s.children,
    t + 1,
    o,
    c,
    l,
    e,
    i,
    h
  ));
  const b = () => {
    s.onItemSelect && s.onItemSelect(s), o && !s.skipParentSelector ? o(s) : console.warn(
      "Parent Selector not called due to the tree item property skipParentSelector!"
    ), c && c(s.id), d && m(!p);
  };
  return /* @__PURE__ */ f(
    "li",
    {
      className: `ar-TreeListItem position-relative${p ? " expanded" : ""}`,
      children: [
        /* @__PURE__ */ f(
          "span",
          {
            className: `ar-TreeListItem__label flex-v-center py-2 w-100${l && l === s.id ? " selected" : ""}`,
            style: {
              paddingLeft: t > 0 ? e * t + i : 0
            },
            onClick: b,
            children: [
              d ? /* @__PURE__ */ n(
                L,
                {
                  color: h === U.DARK1 ? "white" : "black",
                  icon: `${V}/md/MdKeyboardArrowRight`,
                  classes: `me-1${v ? " hover-highlight" : ""}`,
                  onMouseEnter: () => u(!0),
                  onMouseLeave: () => u(!1),
                  onClick: (S) => {
                    S.stopPropagation(), d && m(!p);
                  }
                }
              ) : /* @__PURE__ */ n(
                "span",
                {
                  className: "d-inline-block",
                  style: { height: "1rem", width: "1.25rem" }
                }
              ),
              r ? /* @__PURE__ */ n(
                P,
                {
                  size: K.SMALL,
                  variant: T.LINKHOVEREFFECT,
                  content: s.label
                }
              ) : /* @__PURE__ */ f(q, { trigger: re.HOVER, children: [
                /* @__PURE__ */ n(
                  "span",
                  {
                    className: `ar-ItemContent${d && !p ? " fw-bold" : ""}`,
                    slot: k.ANCHOR,
                    children: s.label === !0 ? "true" : s.label === !1 ? "false" : s.label
                  }
                ),
                /* @__PURE__ */ n(
                  "div",
                  {
                    className: "ar-ItemContent__tooltip",
                    slot: k.POPOVER,
                    children: s.label === !0 ? "true" : s.label === !1 ? "false" : s.label
                  }
                )
              ] }),
              s.badges && s.badges.map((S, g) => /* @__PURE__ */ n(
                xe,
                {
                  classes: `position-static d-inline-flex ${g === 0 ? "ms-auto" : "ms-1"}`,
                  ...S
                }
              ))
            ]
          }
        ),
        /* @__PURE__ */ n("div", { className: p ? "" : "invisible", children: d })
      ]
    }
  );
}, Ks = (a) => {
  const {
    data: t,
    demo: s,
    firstExpanded: e,
    indentation: i,
    noSearch: r,
    onItemSelect: o,
    theme: l,
    title: c,
    withAddButton: h
  } = a, [p, m] = y(), [v, u] = y(), [d, b] = y();
  e && t && t[0] && (t[0].expanded = !0);
  const S = [
    { label: "parent", children: [{ label: "child1" }, { label: "child2" }] }
  ];
  let g = 0.8, N = "rem";
  if (i) {
    if (i.endsWith("rem"))
      try {
        g = +i.substring(0, i.indexOf("rem")), g = g * ($ ? 14 : 16) > ($ ? 42 : 48) ? 0.8 : g;
      } catch {
      }
    else if (i.endsWith("px"))
      try {
        g = +i.substring(0, i.indexOf("px")), g = g > ($ ? 42 : 48) ? 13 : g, N = "px";
      } catch {
      }
  }
  return _(() => {
    if (t) {
      const C = [...t], E = t.findIndex((x) => x.label === "add-button-id") > -1;
      h && !E && C.push({
        label: "Add",
        id: "add-button-id",
        skipParentSelector: !0,
        onItemSelect: () => {
        }
      }), b(C);
    }
  }, [t, h]), /* @__PURE__ */ f("div", { className: "ar-TreeList", children: [
    c && /* @__PURE__ */ n("strong", { className: "d-block my-2", children: c }),
    !r && /* @__PURE__ */ n(
      $e,
      {
        data: d || (s ? S : []),
        onChange: (C, E) => m(E),
        searchFor: ["label"]
      }
    ),
    ce(
      p || d || (s ? S : []),
      0,
      o,
      u,
      v,
      g,
      N,
      l
    )
  ] });
};
const Fe = (a) => a.hasOwnProperty("key");
class G extends ne {
  constructor(t) {
    super(t), this.setItemsWrapperRef = (s) => {
      this.itemsWrapperRef = s;
    }, this.setItemsListRef = (s) => {
      this.itemsListRef = s;
    }, this.setThumbsRef = (s, e) => {
      this.thumbsRef || (this.thumbsRef = []), this.thumbsRef[e] = s;
    }, this.updateSizes = () => {
      if (!this.props.children || !this.itemsWrapperRef || !this.thumbsRef)
        return;
      const s = w.count(this.props.children), e = this.itemsWrapperRef.clientWidth, i = this.props.thumbWidth ? this.props.thumbWidth : M.outerWidth(this.thumbsRef[0]), r = Math.floor(e / i), o = r < s, l = o ? s - r : 0;
      this.setState((c, h) => ({
        itemSize: i,
        visibleItems: r,
        firstItem: o ? this.getFirstItem(h.selectedItem) : 0,
        lastPosition: l,
        showArrows: o
      }));
    }, this.handleClickItem = (s, e, i) => {
      if (!Fe(i) || i.key === "Enter") {
        const r = this.props.onSelectItem;
        typeof r == "function" && r(s, e);
      }
    }, this.onSwipeStart = () => {
      this.setState({
        swiping: !0
      });
    }, this.onSwipeEnd = () => {
      this.setState({
        swiping: !1
      });
    }, this.onSwipeMove = (s) => {
      let e = s.x;
      if (!this.state.itemSize || !this.itemsWrapperRef || !this.state.visibleItems)
        return !1;
      const i = 0, r = w.count(this.props.children), o = -(this.state.firstItem * 100) / this.state.visibleItems, c = -Math.max(r - this.state.visibleItems, 0) * 100 / this.state.visibleItems;
      o === i && e > 0 && (e = 0), o === c && e < 0 && (e = 0);
      const h = this.itemsWrapperRef.clientWidth, p = o + 100 / (h / e);
      return this.itemsListRef && [
        "WebkitTransform",
        "MozTransform",
        "MsTransform",
        "OTransform",
        "transform",
        "msTransform"
      ].forEach((m) => {
        this.itemsListRef.style[m] = M.translate(
          p,
          "%",
          this.props.axis
        );
      }), !0;
    }, this.slideRight = (s) => {
      this.moveTo(
        this.state.firstItem - (typeof s == "number" ? s : 1)
      );
    }, this.slideLeft = (s) => {
      this.moveTo(
        this.state.firstItem + (typeof s == "number" ? s : 1)
      );
    }, this.moveTo = (s) => {
      s = s < 0 ? 0 : s, s = s >= this.state.lastPosition ? this.state.lastPosition : s, this.setState({
        firstItem: s
      });
    }, this.state = {
      selectedItem: t.selectedItem,
      swiping: !1,
      showArrows: !1,
      firstItem: 0,
      visibleItems: 0,
      lastPosition: 0
    };
  }
  componentDidMount() {
    this.setupThumbs();
  }
  componentDidUpdate(t) {
    this.props.selectedItem !== this.state.selectedItem && this.setState({
      selectedItem: this.props.selectedItem,
      firstItem: this.getFirstItem(this.props.selectedItem)
    }), this.props.children !== t.children && this.updateSizes();
  }
  componentWillUnmount() {
    this.destroyThumbs();
  }
  setupThumbs() {
    window.addEventListener("resize", this.updateSizes), window.addEventListener("DOMContentLoaded", this.updateSizes), this.updateSizes();
  }
  destroyThumbs() {
    window.removeEventListener("resize", this.updateSizes), window.removeEventListener("DOMContentLoaded", this.updateSizes);
  }
  getFirstItem(t) {
    let s = t;
    return t >= this.state.lastPosition && (s = this.state.lastPosition), t < this.state.firstItem + this.state.visibleItems && (s = this.state.firstItem), t < this.state.firstItem && (s = t), s;
  }
  renderItems() {
    var t;
    return (t = this.props.children) == null ? void 0 : t.map((s, e) => {
      const i = I.ITEM(!1, e === this.state.selectedItem), r = {
        key: e,
        ref: (o) => this.setThumbsRef(o, e),
        className: i,
        onClick: this.handleClickItem.bind(
          this,
          e,
          this.props.children && this.props.children[e]
        ),
        onKeyDown: this.handleClickItem.bind(
          this,
          e,
          this.props.children && this.props.children[e]
        ),
        "aria-label": `${this.props.labels.item} ${e + 1}`,
        style: { width: this.props.thumbWidth }
      };
      return /* @__PURE__ */ n("li", { ...r, role: "button", tabIndex: 0, children: s });
    });
  }
  render() {
    if (!this.props.children)
      return null;
    const t = w.count(this.props.children) > 1, s = this.state.showArrows && this.state.firstItem > 0, e = this.state.showArrows && this.state.firstItem < this.state.lastPosition;
    let i = {};
    const r = -this.state.firstItem * (this.state.itemSize || 0), o = M.translate(
      r,
      "px",
      this.props.axis
    ), l = this.props.transitionTime + "ms";
    return i = {
      WebkitTransform: o,
      MozTransform: o,
      MsTransform: o,
      OTransform: o,
      transform: o,
      msTransform: o,
      WebkitTransitionDuration: l,
      MozTransitionDuration: l,
      MsTransitionDuration: l,
      OTransitionDuration: l,
      transitionDuration: l,
      msTransitionDuration: l
    }, /* @__PURE__ */ n("div", { className: I.CAROUSEL(!1), children: /* @__PURE__ */ f("div", { className: I.WRAPPER(!1), ref: this.setItemsWrapperRef, children: [
      /* @__PURE__ */ n(
        "button",
        {
          type: "button",
          className: I.ARROW_PREV(!s),
          onClick: () => this.slideRight(),
          "aria-label": this.props.labels.leftArrow
        }
      ),
      t ? /* @__PURE__ */ n(
        le,
        {
          tagName: "ul",
          className: I.SLIDER(!1, this.state.swiping),
          onSwipeLeft: this.slideLeft,
          onSwipeRight: this.slideRight,
          onSwipeMove: this.onSwipeMove,
          onSwipeStart: this.onSwipeStart,
          onSwipeEnd: this.onSwipeEnd,
          style: i,
          innerRef: this.setItemsListRef,
          allowMouseEvents: this.props.emulateTouch,
          children: this.renderItems()
        }
      ) : /* @__PURE__ */ n(
        "ul",
        {
          className: I.SLIDER(!1, this.state.swiping),
          ref: (c) => this.setItemsListRef(c),
          style: i,
          children: this.renderItems()
        }
      ),
      /* @__PURE__ */ n(
        "button",
        {
          type: "button",
          className: I.ARROW_NEXT(!e),
          onClick: () => this.slideLeft(),
          "aria-label": this.props.labels.rightArrow
        }
      )
    ] }) });
  }
}
G.displayName = "Thumbs";
G.defaultProps = {
  axis: "horizontal",
  labels: {
    leftArrow: "previous slide / item",
    rightArrow: "next slide / item",
    item: "slide item"
  },
  selectedItem: 0,
  thumbWidth: 80,
  transitionTime: 350
};
const W = () => {
}, He = (a, t) => `${a} of ${t}`;
class he extends ne {
  constructor(t) {
    super(t), this.setThumbsRef = (e) => {
      this.thumbsRef = e;
    }, this.setCarouselWrapperRef = (e) => {
      this.carouselWrapperRef = e;
    }, this.setListRef = (e) => {
      this.listRef = e;
    }, this.setItemsRef = (e, i) => {
      this.itemsRef || (this.itemsRef = []), this.itemsRef[i] = e;
    }, this.autoPlay = () => {
      w.count(this.props.children) <= 1 || (this.clearAutoPlay(), this.props.autoPlay && (this.timer = setTimeout(() => {
        this.increment();
      }, this.props.interval)));
    }, this.clearAutoPlay = () => {
      this.timer && clearTimeout(this.timer);
    }, this.resetAutoPlay = () => {
      this.clearAutoPlay(), this.autoPlay();
    }, this.stopOnHover = () => {
      this.setState({ isMouseEntered: !0 }, this.clearAutoPlay);
    }, this.startOnLeave = () => {
      this.setState({ isMouseEntered: !1 }, this.autoPlay);
    }, this.isFocusWithinTheCarousel = () => this.carouselWrapperRef ? !!(document.activeElement === this.carouselWrapperRef || this.carouselWrapperRef.contains(document.activeElement)) : !1, this.navigateWithKeyboard = (e) => {
      if (!this.isFocusWithinTheCarousel())
        return;
      const { axis: i } = this.props, r = i === "horizontal", o = {
        ArrowUp: 38,
        ArrowRight: 39,
        ArrowDown: 40,
        ArrowLeft: 37
      }, l = r ? o.ArrowRight : o.ArrowDown, c = r ? o.ArrowLeft : o.ArrowUp;
      l === e.keyCode ? this.increment() : c === e.keyCode && this.decrement();
    }, this.updateSizes = () => {
      if (!this.state.initialized || !this.itemsRef || this.itemsRef.length === 0)
        return;
      const e = this.props.axis === "horizontal", i = this.itemsRef[0];
      if (!i)
        return;
      const r = e ? i.clientWidth : i.clientHeight;
      this.setState({
        itemSize: r
      }), this.thumbsRef && this.thumbsRef.updateSizes();
    }, this.setMountState = () => {
      this.setState({ hasMount: !0 }), this.updateSizes();
    }, this.handleClickItem = (e, i) => {
      if (w.count(this.props.children) !== 0) {
        if (this.state.cancelClick) {
          this.setState({
            cancelClick: !1
          });
          return;
        }
        this.props.onClickItem(e, i), e !== this.state.selectedItem && this.setState({
          selectedItem: e
        });
      }
    }, this.handleOnChange = (e, i) => {
      w.count(this.props.children) <= 1 || this.props.onChange(e, i);
    }, this.handleClickThumb = (e, i) => {
      this.props.onClickThumb(e, i), this.moveTo(e);
    }, this.onSwipeStart = (e) => {
      this.setState({
        swiping: !0
      }), this.props.onSwipeStart(e);
    }, this.onSwipeEnd = (e) => {
      this.setState({
        swiping: !1,
        cancelClick: !1,
        swipeMovementStarted: !1
      }), this.props.onSwipeEnd(e), this.clearAutoPlay(), this.state.autoPlay && this.autoPlay();
    }, this.onSwipeMove = (e, i) => {
      this.props.onSwipeMove(i);
      const r = this.props.swipeAnimationHandler(
        e,
        this.props,
        this.state,
        this.setState.bind(this)
      );
      return this.setState({
        ...r
      }), !!Object.keys(r).length;
    }, this.decrement = (e = 1) => {
      this.moveTo(
        this.state.selectedItem - (typeof e == "number" ? e : 1)
      );
    }, this.increment = (e = 1) => {
      this.moveTo(
        this.state.selectedItem + (typeof e == "number" ? e : 1)
      );
    }, this.moveTo = (e) => {
      if (typeof e != "number")
        return;
      const i = w.count(this.props.children) - 1;
      e < 0 && (e = this.props.infiniteLoop ? i : 0), e > i && (e = this.props.infiniteLoop ? 0 : i), this.selectItem({
        // if it's not a slider, we don't need to set position here
        selectedItem: e
      }), this.state.autoPlay && this.state.isMouseEntered === !1 && this.resetAutoPlay();
    }, this.onClickNext = () => {
      this.increment(1);
    }, this.onClickPrev = () => {
      this.decrement(1);
    }, this.onSwipeForward = () => {
      this.increment(1), this.props.emulateTouch && this.setState({ cancelClick: !0 });
    }, this.onSwipeBackwards = () => {
      this.decrement(1), this.props.emulateTouch && this.setState({ cancelClick: !0 });
    }, this.changeItem = (e) => (i) => {
      (!M.isKeyboardEvent(i) || i.key === "Enter") && this.moveTo(e);
    }, this.selectItem = (e) => {
      this.setState(
        {
          previousItem: this.state.selectedItem,
          ...e
        },
        () => {
          this.setState(this.animationHandler(this.props, this.state));
        }
      ), this.handleOnChange(
        e.selectedItem,
        w.toArray(this.props.children)[e.selectedItem]
      );
    }, this.getInitialImage = () => {
      const e = this.props.selectedItem, i = this.itemsRef && this.itemsRef[e];
      return (i && i.getElementsByTagName("img") || [])[0];
    }, this.getVariableItemHeight = (e) => {
      const i = this.itemsRef && this.itemsRef[e];
      if (this.state.hasMount && i && i.children.length) {
        const r = i.children[0].getElementsByTagName("img") || [];
        if (r.length > 0) {
          const c = r[0];
          if (!c.complete) {
            const h = () => {
              this.forceUpdate(), c.removeEventListener("load", h);
            };
            c.addEventListener("load", h);
          }
        }
        const l = (r[0] || i.children[0]).clientHeight;
        return l > 0 ? l : null;
      }
      return null;
    };
    const s = {
      initialized: !1,
      previousItem: t.selectedItem,
      selectedItem: t.selectedItem,
      hasMount: !1,
      isMouseEntered: !1,
      autoPlay: t.autoPlay,
      swiping: !1,
      swipeMovementStarted: !1,
      cancelClick: !1,
      itemSize: 1,
      itemListStyle: {},
      slideStyle: {},
      selectedStyle: {},
      prevStyle: {}
    };
    this.animationHandler = typeof t.animationHandler == "function" && t.animationHandler || t.animationHandler === "fade" && Pe || _e, this.state = {
      ...s,
      ...this.animationHandler(t, s)
    };
  }
  componentDidMount() {
    this.props.children && this.setupCarousel();
  }
  componentDidUpdate(t, s) {
    !t.children && this.props.children && !this.state.initialized && this.setupCarousel(), !t.autoFocus && this.props.autoFocus && this.forceFocus(), s.swiping && !this.state.swiping && this.setState({
      ...this.props.stopSwipingHandler(this.props, this.state)
    }), (t.selectedItem !== this.props.selectedItem || t.centerMode !== this.props.centerMode) && (this.updateSizes(), this.moveTo(this.props.selectedItem)), t.autoPlay !== this.props.autoPlay && (this.props.autoPlay ? this.setupAutoPlay() : this.destroyAutoPlay(), this.setState({ autoPlay: this.props.autoPlay }));
  }
  componentWillUnmount() {
    this.destroyCarousel();
  }
  setupCarousel() {
    this.bindEvents(), this.state.autoPlay && w.count(this.props.children) > 1 && this.setupAutoPlay(), this.props.autoFocus && this.forceFocus(), this.setState(
      {
        initialized: !0
      },
      () => {
        const t = this.getInitialImage();
        t && !t.complete ? t.addEventListener("load", this.setMountState) : this.setMountState();
      }
    );
  }
  destroyCarousel() {
    this.state.initialized && (this.unbindEvents(), this.destroyAutoPlay());
  }
  setupAutoPlay() {
    this.autoPlay();
    const t = this.carouselWrapperRef;
    this.props.stopOnHover && t && (t.addEventListener("mouseenter", this.stopOnHover), t.addEventListener("mouseleave", this.startOnLeave));
  }
  destroyAutoPlay() {
    this.clearAutoPlay();
    const t = this.carouselWrapperRef;
    this.props.stopOnHover && t && (t.removeEventListener("mouseenter", this.stopOnHover), t.removeEventListener("mouseleave", this.startOnLeave));
  }
  bindEvents() {
    window.addEventListener("resize", this.updateSizes), window.addEventListener("DOMContentLoaded", this.updateSizes), this.props.useKeyboardArrows && document.addEventListener("keydown", this.navigateWithKeyboard);
  }
  unbindEvents() {
    window.removeEventListener("resize", this.updateSizes), window.removeEventListener("DOMContentLoaded", this.updateSizes);
    const t = this.getInitialImage();
    t && t.removeEventListener("load", this.setMountState), this.props.useKeyboardArrows && document.removeEventListener("keydown", this.navigateWithKeyboard);
  }
  forceFocus() {
    var t;
    (t = this.carouselWrapperRef) == null || t.focus();
  }
  renderItems(t) {
    return this.props.children ? w.map(this.props.children, (s, e) => {
      const i = e === this.state.selectedItem, r = e === this.state.previousItem;
      let o = i && this.state.selectedStyle || r && this.state.prevStyle || this.state.slideStyle || {};
      this.props.centerMode && this.props.axis === "horizontal" && (o = { ...o, minWidth: this.props.centerSlidePercentage + "%" }), this.state.swiping && this.state.swipeMovementStarted && (o = { ...o, pointerEvents: "none" });
      const l = {
        ref: (c) => this.setItemsRef(c, e),
        key: "itemKey" + e + (t ? "clone" : ""),
        className: I.ITEM(
          !0,
          e === this.state.selectedItem,
          e === this.state.previousItem
        ),
        onClick: this.handleClickItem.bind(this, e, s),
        style: o
      };
      return /* @__PURE__ */ n("li", { ...l, children: this.props.renderItem(s, {
        isSelected: e === this.state.selectedItem,
        isPrevious: e === this.state.previousItem
      }) });
    }) : [];
  }
  renderControls() {
    const { showIndicators: t, labels: s, renderIndicator: e, children: i } = this.props;
    return t ? /* @__PURE__ */ n("ul", { className: "control-dots", children: w.map(i, (r, o) => e && e(
      this.changeItem(o),
      o === this.state.selectedItem,
      o,
      s.item
    )) }) : null;
  }
  renderStatus() {
    return this.props.showStatus ? /* @__PURE__ */ n("p", { className: "carousel-status", children: this.props.statusFormatter(
      this.state.selectedItem + 1,
      w.count(this.props.children)
    ) }) : null;
  }
  renderThumbs() {
    return !this.props.showThumbs || !this.props.children || w.count(this.props.children) === 0 ? null : /* @__PURE__ */ n(
      G,
      {
        ref: this.setThumbsRef,
        onSelectItem: this.handleClickThumb,
        selectedItem: this.state.selectedItem,
        transitionTime: this.props.transitionTime,
        thumbWidth: this.props.thumbWidth,
        labels: this.props.labels,
        emulateTouch: this.props.emulateTouch,
        children: this.props.renderThumbs(this.props.children)
      }
    );
  }
  render() {
    if (!this.props.children || w.count(this.props.children) === 0)
      return null;
    const t = this.props.swipeable && w.count(this.props.children) > 1, s = this.props.axis === "horizontal", e = this.props.showArrows && w.count(this.props.children) > 1, i = e && (this.state.selectedItem > 0 || this.props.infiniteLoop) || !1, r = e && (this.state.selectedItem < w.count(this.props.children) - 1 || this.props.infiniteLoop) || !1, o = this.renderItems(!0), l = o == null ? void 0 : o.shift(), c = o == null ? void 0 : o.pop();
    let h = {
      className: I.SLIDER(!0, this.state.swiping),
      onSwipeMove: this.onSwipeMove,
      onSwipeStart: this.onSwipeStart,
      onSwipeEnd: this.onSwipeEnd,
      style: this.state.itemListStyle || {},
      tolerance: this.props.swipeScrollTolerance
    };
    const p = {};
    if (s) {
      if (h.onSwipeLeft = this.onSwipeForward, h.onSwipeRight = this.onSwipeBackwards, this.props.dynamicHeight) {
        const m = this.getVariableItemHeight(this.state.selectedItem);
        p.height = m || "auto";
      }
    } else
      h.onSwipeUp = this.props.verticalSwipe === "natural" ? this.onSwipeBackwards : this.onSwipeForward, h.onSwipeDown = this.props.verticalSwipe === "natural" ? this.onSwipeForward : this.onSwipeBackwards, h.style = { ...h.style, height: this.state.itemSize }, p.height = this.state.itemSize;
    return /* @__PURE__ */ f(
      "div",
      {
        "aria-label": this.props.ariaLabel,
        className: `ar-Carousel ${I.ROOT(this.props.className)}${this.props.classes ? " " + this.props.classes : ""}`,
        ref: this.setCarouselWrapperRef,
        tabIndex: this.props.useKeyboardArrows ? 0 : void 0,
        children: [
          /* @__PURE__ */ f(
            "div",
            {
              className: I.CAROUSEL(!0),
              style: { width: this.props.width },
              children: [
                !this.props.noMarkers && this.renderControls(),
                this.props.renderArrowPrev(
                  this.onClickPrev,
                  i,
                  this.props.labels.leftArrow
                ),
                /* @__PURE__ */ n(
                  "div",
                  {
                    className: I.WRAPPER(!0, this.props.axis),
                    style: p,
                    children: t ? /* @__PURE__ */ f(
                      le,
                      {
                        tagName: "ul",
                        innerRef: this.setListRef,
                        ...h,
                        allowMouseEvents: this.props.emulateTouch,
                        children: [
                          this.props.infiniteLoop && c,
                          this.renderItems(),
                          this.props.infiniteLoop && l
                        ]
                      }
                    ) : /* @__PURE__ */ f(
                      "ul",
                      {
                        className: I.SLIDER(!0, this.state.swiping),
                        ref: (m) => this.setListRef(m),
                        style: this.state.itemListStyle || {},
                        children: [
                          this.props.infiniteLoop && c,
                          this.renderItems(),
                          this.props.infiniteLoop && l
                        ]
                      }
                    )
                  }
                ),
                this.props.renderArrowNext(
                  this.onClickNext,
                  r,
                  this.props.labels.rightArrow
                ),
                this.renderStatus()
              ]
            }
          ),
          this.renderThumbs()
        ]
      }
    );
  }
}
he.displayName = "Carousel";
he.defaultProps = {
  ariaLabel: void 0,
  axis: "horizontal",
  centerSlidePercentage: 80,
  interval: 3e3,
  labels: {
    leftArrow: "previous slide / item",
    rightArrow: "next slide / item",
    item: "slide item"
  },
  onClickItem: W,
  onClickThumb: W,
  onChange: W,
  onSwipeStart: () => {
  },
  onSwipeEnd: () => {
  },
  onSwipeMove: () => !1,
  preventMovementUntilSwipeScrollTolerance: !1,
  renderArrowPrev: (a, t, s) => /* @__PURE__ */ n(
    "button",
    {
      type: "button",
      "aria-label": s,
      className: I.ARROW_PREV(!t),
      onClick: a
    }
  ),
  renderArrowNext: (a, t, s) => /* @__PURE__ */ n(
    "button",
    {
      type: "button",
      "aria-label": s,
      className: I.ARROW_NEXT(!t),
      onClick: a
    }
  ),
  renderIndicator: (a, t, s, e) => /* @__PURE__ */ n(
    "li",
    {
      className: I.DOT(t),
      onClick: a,
      onKeyDown: a,
      value: s,
      role: "button",
      tabIndex: 0,
      "aria-label": `${e} ${s + 1}`
    },
    s
  ),
  renderItem: (a) => a,
  renderThumbs: (a) => {
    const t = w.map(
      a,
      (s) => {
        let e = s;
        if (s.type !== "img" && (e = s && w.toArray(
          s.props.children
        ).find(
          (i) => i.type === "img"
        )), !!e)
          return e;
      }
    );
    return (t == null ? void 0 : t.filter((s) => s).length) === 0 ? (console.warn(
      "No images found! Can't build the thumb list without images. If you don't need thumbs, set showThumbs={false} in the Carousel. Note that it's not possible to get images rendered inside custom components. More info at https://github.com/leandrowd/react-responsive-carousel/blob/master/TROUBLESHOOTING.md"
    ), []) : t;
  },
  statusFormatter: He,
  selectedItem: 0,
  showArrows: !0,
  showIndicators: !0,
  showStatus: !0,
  showThumbs: !0,
  stopOnHover: !0,
  swipeScrollTolerance: 5,
  swipeable: !0,
  transitionTime: 350,
  verticalSwipe: "standard",
  width: "100%",
  animationHandler: "slide",
  swipeAnimationHandler: Ee,
  stopSwipingHandler: Ne
};
const $e = (a) => {
  const { categories: t, classes: s, data: e, placeholder: i, searchFor: r } = a, o = "onChange" in a && a.onChange, l = "showPopUp" in a && a.showPopUp, [c, h] = y(), [p, m] = y(""), v = (d) => {
    const b = j.recrusiveFilter(
      e,
      d.target.value,
      !1,
      !!r && (typeof r == "string" ? [r] : r)
    );
    o && o(d, b), l && h(b);
  }, u = c && c.map((d) => /* @__PURE__ */ n("div", {}));
  return /* @__PURE__ */ f(
    "div",
    {
      className: `ar-Search d-flex w-100 position-relative ${p}${s ? " " + s : ""}`,
      children: [
        t && /* @__PURE__ */ n(Ce, { options: t, onSelectionChanged: () => {
        } }),
        /* @__PURE__ */ n(
          ze,
          {
            containerClasses: "form-component",
            classes: "ar-Search__input p-1 bg-transparent border-0",
            onBlur: () => m(""),
            onChange: v,
            onFocus: () => m("focussed"),
            placeholder: i || "Search",
            type: "text"
          }
        ),
        /* @__PURE__ */ n(
          P,
          {
            content: /* @__PURE__ */ n(z, { src: `${V}/ai/AiOutlineSearch` }),
            classes: `search-button bg-transparent form-component${p ? " border-bottom-0" : ""}`
          }
        ),
        (!o || l) && /* @__PURE__ */ n(
          "div",
          {
            className: `ar-Search__search-results p-3 position-absolute top-100 start-0 w-100 bg-white z-1 ${p ? "border" : "h-0 overflow-hidden"}${u ? "" : " flex-center"}`,
            onClick: (d) => d.stopPropagation(),
            children: u || /* @__PURE__ */ n("i", { children: "Type to view results here" })
          }
        )
      ]
    }
  );
};
const oe = j.isMobile(), Vs = (a) => {
  const { classes: t, isLanding: s, options: e, theme: i } = a, r = ee(ue), o = ve(), l = ee(fe), c = Re.IAM[process.env.NODE_ENV] + se.AUTH.ROOT + se.AUTH.LOGOUT;
  return /* @__PURE__ */ n("div", { className: `ar-UserOptions${t ? " " + t : ""}`, children: s ? /* @__PURE__ */ f("div", { className: "ar-UserOptions__auth-buttons d-flex", children: [
    /* @__PURE__ */ n(
      P,
      {
        classes: "me-3",
        size: K.SMALL,
        variant: T.LINKHOVEREFFECT,
        content: "Login",
        onClick: () => o(
          H({
            name: "LoginProvider",
            props: {
              url: ie.IAM[process.env.NODE_ENV] + "/login"
            }
          })
        )
      }
    ),
    /* @__PURE__ */ n(
      P,
      {
        size: K.SMALL,
        variant: T.INFO,
        content: "Sign Up",
        onClick: () => o(
          H({
            name: "LoginProvider",
            props: {
              url: ie.IAM[process.env.NODE_ENV] + "/signup"
            }
          })
        )
      }
    )
  ] }) : /* @__PURE__ */ f(
    q,
    {
      position: oe ? te.TOPLEFT : te.BOTTOMLEFT,
      animation: Te.FADEINOUT,
      transition: !0,
      children: [
        /* @__PURE__ */ f("span", { className: "ar-UserOptions__anchor cursor-pointer", slot: "anchor", children: [
          /* @__PURE__ */ n(
            L,
            {
              classes: "h-100",
              icon: "fa.FaUserCircle",
              size: "1.5rem",
              color: i !== "th-light-1" ? "lightgrey" : "grey",
              hoverColor: i !== "th-light-1" ? "#FFD580" : "orange"
            }
          ),
          !oe && /* @__PURE__ */ n(L, { icon: "md.MdKeyboardArrowDown", color: "grey" })
        ] }),
        /* @__PURE__ */ f(
          "div",
          {
            className: "ar-UserOptions__popover flex-h-center flex-column",
            slot: k.POPOVER,
            children: [
              !r && /* @__PURE__ */ n(
                P,
                {
                  variant: T.SUCCESS,
                  content: "Login",
                  onClick: () => {
                    o(H({ name: "LoginProvider" }));
                  }
                }
              ),
              /* @__PURE__ */ n(ae, { data: e }),
              r && /* @__PURE__ */ n(
                P,
                {
                  classes: "ar-UserOptions__btn-standout mt-2",
                  variant: T.LINK,
                  content: "Logout",
                  onClick: () => Ae.post(c, l || {}).then((h) => {
                    h.status === 200 && (o(
                      be({
                        show: !0,
                        message: "You've been logged out!",
                        uid: O()
                      })
                    ), o(we(!1)));
                  })
                }
              )
            ]
          }
        )
      ]
    }
  ) });
};
export {
  Bs as A,
  xe as B,
  he as C,
  $e as S,
  Us as T,
  Vs as U,
  P as a,
  ze as b,
  Ks as c,
  G as d,
  He as e,
  W as n
};
