export declare const ICON_ROOT: string;
export declare const SESSION_COOKIE_NAME = "x-access-token";
export declare const DEFAULT_LOCALE: {
    direction: string;
    format: string;
    separator: string;
    applyLabel: string;
    cancelLabel: string;
    weekLabel: string;
    customRangeLabel: string;
    daysOfWeek: string[];
    monthNames: string[];
    firstDay: number;
};
export declare const ENDPOINTS: {
    STATIC: {
        ICON: {
            ROOT: string;
            PAGE: string;
        };
        LOTTIE: {
            ROOT: string;
            TOMP4: string;
            TOGIF: string;
            TOPNG: string;
            TOSVG: string;
        };
        FONT: {
            ROOT: string;
            PAGE: string;
        };
    };
    USERS: {
        ROOT: string;
        ADD: string;
        UPDATE: string;
        CHECK: string;
    };
    AUTH: {
        ROOT: string;
        LOGIN: string;
        FORGOT: string;
        SIGNUP: string;
        LOGOUT: string;
    };
    NAMESPACE: {
        ROOT: string;
        CREATE: string;
        FETCHALL: string;
        FETCH: string;
    };
    CONFIG: {
        ROOT: string;
        SAVE: string;
        DELETE: string;
    };
    TASKER: {
        ROOT: string;
        SAVE: string;
        DELETE: string;
        RUN: string;
        FETCHALL: string;
        FETCH: string;
    };
};
export declare const MONTH_INDEX: string[];
